> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ukrainian/dokumentaciya-api/oglyad-zapitiv-geopard-api/59.-zapit-otrimati-asapplieddatasets.md).

# 59. Запит: Отримати "AsAppliedDatasets"

Отримати набори даних As-Planted або As-Applied

Отримати всі "AsAppliedDatasets" для обраного "Field". Дані наборів можна отримати за допомогою загальних GraphQL-запитів, наприклад `getFarms` та `getFields` з пов'язаного "Field".&#x20;

{% hint style="warning" %}
"AsAppliedDataset" має бути завантажено заздалегідь.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetAsAppliedDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid 
    назва
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      asAppliedDatasets {
        uuid 
        назва
        number #загальна кількість геофічних об'єктів 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        attributes
        
        fullAttributes { #повні дані по кожному атрибуту
          name #посилання на статистику >> атрибут
          transliteratedName
          fullName #правильна зручна для людини назва
          unit#одиниці виміру
        }

        usedMachines { #використані машини
          id
          serial
          operatorId
        } 

        createdDate #дата та час створення об'єкта в GeoPard
        updatedDate #дата та час останнього оновлення
        operationId
        operationType
        operationFileDate #дата/час створення файлу походить із метаінформації 
        operationStartDate #початок операції походить із метаінформації
        
        statistics { #розподіл статистики для кожного атрибуту
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetAsAppliedDatasetsViaGetFields { 
  getFields (filter: {fieldUuid: "<placeholder_of_field_uuid>"}) { 
    fields { 
      uuid
      area(unit: HECTARES) 
      asAppliedDatasets(asAppliedDatasetUuids: ["placeholder_of_dataset_uuid"]) { 
        uuid 
        назва
        number #загальна кількість геофічних об'єктів 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        attributes
        
        fullAttributes { #повні дані по кожному атрибуту
          name #посилання на статистику >> атрибут
          transliteratedName
          fullName #правильна зручна для людини назва
          unit#одиниці виміру
        }

        usedMachines { #використані машини
          id
          serial
          operatorId
        } 

        createdDate #дата та час створення об'єкта в GeoPard
        updatedDate #дата та час останнього оновлення
        operationId
        operationType
        operationFileDate #дата/час створення файлу походить із метаінформації 
        operationStartDate #початок операції походить із метаінформації
        
        statistics { #розподіл статистики для кожного атрибуту
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ukrainian/dokumentaciya-api/oglyad-zapitiv-geopard-api/59.-zapit-otrimati-asapplieddatasets.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
